complexType "PendingPayment"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentDate, amount, accruedInterest?
</...>

Content Model Elements (3):

  accruedInterest (defined in PendingPayment complexType), amount (defined in PendingPayment complexType), | paymentDate (defined in PendingPayment complexType)

All Direct / Indirect Based Elements (3):

  couponPayment (in basketConstituent), couponPayment (in singleUnderlyer), | dividendPayment

Known Usage Locations

- As direct type of elements (3):

  couponPayment (in basketConstituent), couponPayment (in singleUnderlyer), | dividendPayment

Annotation
A structure representing a pending dividend or coupon payment.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PendingPayment

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PendingPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element name="paymentDate" type="xsd:date"/> <xsd:element name="amount" type="Money"/> <xsd:element minOccurs="0" name="accruedInterest" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
accruedInterest

  Type: | Money, complex content

  Accrued interest on the dividend or coupon payment. When the TRS is structured to pay a dividend or coupon on reset after payable date, you may earn interest on these amounts. This field indicates the interest accrued on dividend/coupon from pay date to statement date. This will only apply to a handful of agreements where dividendss are held to the next reset AND you receive/pay interest on unpaid amounts.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accruedInterest" type="Money"/>

amount

  Type: | Money, complex content

  The amount of the dividend or coupon payment. Value of dividends or coupon between ex and pay date. Stock: if we are between ex-date and pay-date and the dividend is payable under the swap, then this should be the ex-div amount * # of securities. Bond: regardless of where we are vis-a-vis resets: (coupon % * face of bonds on swap * (bond day count fraction using days last coupon pay date of the bond through today).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="amount" type="Money"/>

paymentDate

  Type: | xsd:date, predefined, simple content

  The date that the dividend or coupon is due.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.